"use client";
import Image from "next/image";
import Link from "next/link";

import { NavbarDropdown } from "./Navbar";

import BrandImage from "@img/logo.png";

import styles from "./Header.module.scss";

export default function Header() {
    return (
        <header>
            <nav
                id={styles.header}
                className="navbar bg-primary navbar-expand text-light navbar-dark"
            >
                <Logo />
                <div className="me-auto" />
                <NavbarDropdown />
            </nav>
        </header>
    );
}

export function Logo() {
    return (
        <Link href="/" id={styles.logo}>
            <Image
                src={BrandImage}
                width={40}
                height={40}
                alt="logo"
                style={{ objectFit: "contain" }}
                priority
            />
            <div>Snip</div>
        </Link>
    );
}
