"use client";
import { get_browser, isSupported } from "lib/browserSupported";
import { usePathname } from "next/navigation";
import { useEffect } from "react";

export function BrowserVersionAlert() {
    //Check if browser is supported
    useEffect(() => {
        if (typeof window !== "undefined") {
            if (!isSupported(get_browser())) {
                alert(
                    "Your browser might not be supported. Please use Chrome>69, Firefox>105, Safari>16.4, Opera>48 or Edge>79."
                );
            }
        }
    }, []);

    return null;
}

export function NotFoundErrorMsg() {
    const path = usePathname();

    return (
        <p
            className="text-center"
            style={{
                fontSize: "1.1rem",
                margin: 0,
                padding: "0.5rem",
            }}
            role="alert"
        >
            Looks like you took a wrong turn somewhere! The requested page{" "}
            <code>{path}</code> was not found.
        </p>
    );
}
