import type { Config } from "jest";

// Add any custom config to be passed to Jest
const config: Config = {
    projects: [
        "<rootDir>/apps/*/jest.config.ts",
        "<rootDir>/packages/database/jest.config.ts",
    ],
    collectCoverage: true,
    coverageProvider: "v8",
    coverageReporters: ["json", "lcov", "text", "clover"],
    collectCoverageFrom: [
        "**/*.{ts,tsx}",
        "!**/*.d.ts",
        "!**/node_modules/**",
        "!**/vendor/**",
        "!**/.next/**",
        //Any config files
        "!**/jest.config.ts",
    ],
    moduleFileExtensions: ["ts", "tsx", "js", "jsx"],
};

// createJestConfig is exported this way to ensure that next/jest can load the Next.js config which is async
export default config;
